# $boolean

Casts a variable to a boolean

Usage

    $boolean(<data>)

Description

Forces <data> to be a boolean data type by first casting to integer (see $int()) and then comparing the result against zero. A zero integer will result in a false value while a non-zero one will result in a true value. This function is similar to the C++ (bool) cast and is internally aliased to $bool too. Note that since KVIrc does most of the casting work automatically you shouldn't need to use this function.

Syntax Specification

    <integer> $boolean(<data:variant>)

See also
$real $integer

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011